CREATE TABLE cst_costed_onhand_daily (
    PK_INDEX                   VARCHAR2(1024),
    COST_ORG_ID                NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID               NUMBER(18, 0)     NOT NULL,
    VAL_UNIT_ID                NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID          NUMBER(18, 0)     NOT NULL,
    BUSINESS_UNIT_ID           NUMBER(18, 0)     NOT NULL,
    SNAPSHOT_DATE              DATE              NOT NULL,
    EFF_TO_DATE                DATE          ,
    INVENTORY_ORG_ID           NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE          VARCHAR2(40)  ,
    LOCATOR_ID                 NUMBER(18, 0) ,
    QUANTITY                   NUMBER        ,
    UOM_CODE                   VARCHAR2(12)  ,
    AMOUNT                     NUMBER        ,
    CURRENCY_CODE              VARCHAR2(120)     NOT NULL,
    VAL_STRUCTURE_TYPE_CODE    VARCHAR2(120) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    PK_INDEX                   VARCHAR2(1024),
    COST_ORG_ID                NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID               NUMBER(18, 0)     NOT NULL,
    VAL_UNIT_ID                NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID          NUMBER(18, 0)     NOT NULL,
    BUSINESS_UNIT_ID           NUMBER(18, 0)     NOT NULL,
    SNAPSHOT_DATE              DATE              NOT NULL,
    EFF_TO_DATE                DATE          ,
    INVENTORY_ORG_ID           NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE          VARCHAR2(40)  ,
    LOCATOR_ID                 NUMBER(18, 0) ,
    QUANTITY                   NUMBER        ,
    UOM_CODE                   VARCHAR2(12)  ,
    AMOUNT                     NUMBER        ,
    CURRENCY_CODE              VARCHAR2(120)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    VAL_STRUCTURE_TYPE_CODE    VARCHAR2(120) ,
    CONSTRAINT pk_cst_costed_onhand_daily PRIMARY KEY (PK_INDEX, PK_INDEX)
);
